/*
 * world.hpp
 *
 *  Created on: Mar 3, 2010
 *      Author: heber
 */

#ifndef WORLD_HPP_
#define WORLD_HPP_

using namespace std;

/*********************************************** includes ***********************************/

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


/****************************************** forward declarations *****************************/

/********************************************** Class World *******************************/

class World
{
  /***** singleton Stuff *****/
public:
  static World* get();
  static void destroy();
  static World* reset();

  static double *cell_size;
  static char *DefaultName;

private:
  World();
  virtual ~World();

  static World *theWorld;
};

#endif /* WORLD_HPP_ */
